import { ChainName, Network } from './types';
type ExplorerSettings = {
    name: string;
    baseUrl: string;
    endpoints: {
        tx: string;
        account: string;
    };
    networkQuery?: {
        default: 'mainnet' | 'devnet' | 'testnet';
        mainnet?: string;
        devnet?: string;
        testnet?: string;
    };
};
export declare const MAINNET_EXPLORER_CONFIG: {
    [chain in ChainName]?: ExplorerSettings;
};
export declare const TESTNET_EXPLORER_CONFIG: {
    [chain in ChainName]?: ExplorerSettings;
};
export declare function linkToTx(chainName: ChainName, txId: string, network: Network): string;
export declare function linkToAccount(chainName: ChainName, account: string, network: Network): string;
export {};
