export type { TestnetChainId, TestnetChainName, ChainContracts as TestnetChainContracts, TESTNET_CHAINS, } from './config/TESTNET';
export * from './config/MAINNET';
export declare const CONFIG: {
    MAINNET: import("./types").WormholeConfig;
    TESTNET: import("./types").WormholeConfig;
};
export * from './wormhole';
export * from './types';
export * from './explorer';
export * from './utils';
export { RelayerAbstract } from './abstracts/relayer';
export { ContractsAbstract } from './abstracts/contracts';
export { TokenBridgeAbstract } from './abstracts/tokenBridge';
export { SolanaAbstract } from './abstracts/contexts/solana';
export { SeiAbstract } from './abstracts/contexts/sei';
export * from './abis/TokenBridgeRelayer';
export * from './abis/TokenBridgeRelayer__factory';
export declare const SolanaContracts: {
    Wormhole: {
        version: string;
        name: string;
        instructions: ({
            name: string;
            accounts: {
                name: string;
                isMut: boolean;
                isSigner: boolean;
            }[];
            args: ({
                name: string;
                type: string;
            } | {
                name: string;
                type: {
                    vec: {
                        array: (string | number)[];
                    };
                };
            })[];
        } | {
            name: string;
            accounts: {
                name: string;
                isMut: boolean;
                isSigner: boolean;
            }[];
            args: ({
                name: string;
                type: string;
            } | {
                name: string;
                type: {
                    array: (string | number)[];
                };
            })[];
        })[];
        accounts: {
            name: string;
            type: {
                kind: string;
                fields: ({
                    name: string;
                    type: string;
                } | {
                    name: string;
                    type: {
                        array: (string | number)[];
                    };
                })[];
            };
        }[];
    };
    TokenBridge: {
        version: string;
        name: string;
        instructions: {
            name: string;
            accounts: {
                name: string;
                isMut: boolean;
                isSigner: boolean;
            }[];
            args: ({
                name: string;
                type: string;
            } | {
                name: string;
                type: {
                    array: (string | number)[];
                    option?: undefined;
                };
            } | {
                name: string;
                type: {
                    option: string;
                    array?: undefined;
                };
            })[];
        }[];
        accounts: never[];
    };
    NftBridge: {
        version: string;
        name: string;
        instructions: {
            name: string;
            accounts: {
                name: string;
                isMut: boolean;
                isSigner: boolean;
            }[];
            args: ({
                name: string;
                type: string;
            } | {
                name: string;
                type: {
                    array: (string | number)[];
                };
            })[];
        }[];
        accounts: never[];
    };
};
