"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.stripHexPrefix = exports.ensureHexPrefix = exports.hex = exports.textToUint8Array = exports.textToHexString = exports.chunks = exports.hexToUint8Array = exports.uint8ArrayToHex = void 0;
const utils_1 = require("ethers/lib/utils");
const uint8ArrayToHex = (a) => Buffer.from(a).toString('hex');
exports.uint8ArrayToHex = uint8ArrayToHex;
const hexToUint8Array = (h) => {
    if (h.startsWith('0x'))
        h = h.slice(2);
    return new Uint8Array(Buffer.from(h, 'hex'));
};
exports.hexToUint8Array = hexToUint8Array;
function chunks(array, size) {
    // @ts-ignore
    return Array.apply(0, new Array(Math.ceil(array.length / size))).map((_, index) => array.slice(index * size, (index + 1) * size));
}
exports.chunks = chunks;
function textToHexString(name) {
    return Buffer.from(name, 'binary').toString('hex');
}
exports.textToHexString = textToHexString;
function textToUint8Array(name) {
    return new Uint8Array(Buffer.from(name, 'binary'));
}
exports.textToUint8Array = textToUint8Array;
function hex(x) {
    return Buffer.from((0, utils_1.hexlify)(x, { allowMissingPrefix: true }).substring(2), 'hex');
}
exports.hex = hex;
function ensureHexPrefix(x) {
    return x.substring(0, 2) !== '0x' ? `0x${x}` : x;
}
exports.ensureHexPrefix = ensureHexPrefix;
function stripHexPrefix(val) {
    return val.startsWith('0x') ? val.slice(2) : val;
}
exports.stripHexPrefix = stripHexPrefix;
//# sourceMappingURL=array.js.map